#include <vector>
#include "const.h"

using namespace std;

typedef pair<int,int> ii;

// child information
struct Child {
  int x, y;      // location
  bool standing; // if is standing
  int color;     // team
  int holding;   // what is holding
  int dazed;     // is dazed?
  bool sendo_atacada;
};

// constants to control ground state
const int GROUND_CHILD = 10;
const int GROUND_TAKEN = 11;

// constants to control snowman info
const int SNOW_UNKNOWN = 0;
const int SNOW_EMPTY = 1;
const int SNOW_STEALING = 2;
const int SNOW_RED = 8;
const int SNOW_BLUE = 9;
const int SNOW_BUILDING = 3;
const int SNOW_HIDDEN = 4;


// aditional variables to hold game state
int score[2];
int height[SIZE][SIZE];
int ground[SIZE][SIZE];
int snowman[SIZE][SIZE];
vector<Child> cList(CCOUNT*2);
vector<ii> atacks;
int badatack[8];
int countdazed[8];


// x and y displacement for all walk directories
//          0 1  2  3 4  5  6  7
int dx[] = {1,0,-1, 0,1, 1,-1,-1};
int dy[] = {0,1, 0,-1,1,-1, 1,-1};


